# Generated from rf-rest-open-uri-1.0.2.gem by gem2rpm -*- rpm-spec -*-
%global gem_name rf-rest-open-uri

Name: rubygem-%{gem_name}
Version: 1.0.2
Release: 1%{?dist}
Summary: rf-rest-open-uri applies the original rest-open-uri patch to ruby 1.9.3's open-uri. The version provided with rest-open-uri 1.0.0 is old, and missing newer open-uri features like :ssl_verify_mode
License: MIT
URL: https://github.com/rfletcher/rf-rest-open-uri
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby >= 1.9.3
BuildArch: noarch

%description
A fork of rest-open-uri, updated for ruby 1.9.3+.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%exclude %{gem_instdir}/.gitignore
%license %{gem_instdir}/LICENSE.txt
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/rf-rest-open-uri.gemspec

%changelog
* Tue Sep 14 2021 mockbuilder - 1.0.2-1
- Initial package
